.card-img-top {
    height: 200px;
    object-fit: cover;
}

.card {
    margin-bottom: 20px;
    height: 400px;
    /* Fixed total card height */
}

.card-body {
    height: 200px;
    /* Fixed height for card body /    overflow: hidden; / Hide overflow text */
    display: flex;
    flex-direction: column;
}

.card-title {
    font-size: 1.1rem;
    font-weight: bold;
    margin-bottom: 10px;
}

.card-text {
    font-size: 0.9rem;
    flex-grow: 1;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 4;
    /* Limit to 4 lines */
    -webkit-box-orient: vertical;
}

.btn-detail {
    width: 100px;
    align-self: center; /* Centers the button horizontally in the flex container */
    /* Fixed width for consistency /    text-align: center;    margin-top: auto; / Push button to bottom */
}

.mt-60 {
  margin-top: 60px;
}
.mt-80 {
  margin-top: 80px;
}
.mt-100 {
  margin-top: 100px;
}
